﻿___INFO___

{
  "displayName": "Яндекс Метрика by ProMetriki",
  "description": "Шаблон тега Яндекс Метрики от ProMetriki (beta 0.1)",
  "securityGroups": [],
  "id": "cvt_temp_public_id",
  "type": "TAG",
  "version": 1,
  "brand": {
    "displayName": "",
    "id": "brand_dummy"
  },
  "containerContexts": [
    "WEB"
  ]
}


___TEMPLATE_PARAMETERS___

[
  {
    "displayName": "Идентификатор счетчика",
    "simpleValueType": true,
    "name": "PMymCounterID",
    "type": "TEXT"
  },
  {
    "macrosInSelect": false,
    "selectItems": [
      {
        "displayValue": "true",
        "value": true
      },
      {
        "displayValue": "false",
        "value": false
      }
    ],
    "displayName": "Вебвизор, карта скроллинга, аналитика форм",
    "simpleValueType": true,
    "name": "PMymWebvisor",
    "type": "SELECT"
  },
  {
    "macrosInSelect": false,
    "selectItems": [
      {
        "displayValue": "true",
        "value": true
      },
      {
        "displayValue": "true",
        "value": true
      }
    ],
    "displayName": "Отслеживание хеша в адресной строке",
    "simpleValueType": true,
    "name": "PMymTrackHash",
    "type": "SELECT"
  },
  {
    "selectItems": [
      {
        "displayValue": "false",
        "value": false
      },
      {
        "displayValue": "true",
        "value": true
      }
    ],
    "displayName": "Отправка данных электронной коммерции",
    "simpleValueType": true,
    "name": "PMymEcommerce",
    "type": "SELECT",
    "subParams": [
      {
        "notSetText": "Не указано имя контейнера данных",
        "enablingConditions": [
          {
            "paramName": "PMymEcommerce",
            "type": "EQUALS",
            "paramValue": true
          }
        ],
        "displayName": "Имя контейнера данных",
        "defaultValue": "dataLayer",
        "simpleValueType": true,
        "name": "PMymDataLayer",
        "type": "TEXT"
      }
    ]
  },
  {
    "macrosInSelect": false,
    "selectItems": [
      {
        "displayValue": "true",
        "value": "trru"
      },
      {
        "displayValue": "false",
        "value": false
      }
    ],
    "displayName": "accurateTrackBounce",
    "simpleValueType": true,
    "name": "PMymAccurateTrackBounce",
    "type": "SELECT"
  },
  {
    "macrosInSelect": false,
    "selectItems": [
      {
        "displayValue": "true",
        "value": true
      },
      {
        "displayValue": "false",
        "value": false
      }
    ],
    "displayName": "trackLinks",
    "simpleValueType": true,
    "name": "PMymTrackLinks",
    "type": "SELECT"
  },
  {
    "macrosInSelect": false,
    "selectItems": [
      {
        "displayValue": "true",
        "value": true
      },
      {
        "displayValue": "false",
        "value": false
      }
    ],
    "displayName": "clickmap",
    "simpleValueType": true,
    "name": "PMymClickmap",
    "type": "SELECT"
  },
  {
    "macrosInSelect": false,
    "selectItems": [
      {
        "displayValue": "не использовать",
        "value": "https://mc.yandex.ru/metrika/tag.js"
      },
      {
        "displayValue": "использовать",
        "value": "https://cdn.jsdelivr.net/npm/yandex-metrica-watch/tag.js"
      }
    ],
    "displayName": "Альтернативный CDN",
    "simpleValueType": true,
    "name": "PMymUrl",
    "type": "SELECT"
  }
]


___WEB_PERMISSIONS___

[
  {
    "instance": {
      "key": {
        "publicId": "access_globals",
        "versionId": "1"
      },
      "param": [
        {
          "key": "keys",
          "value": {
            "type": 2,
            "listItem": [
              {
                "type": 3,
                "mapKey": [
                  {
                    "type": 1,
                    "string": "key"
                  },
                  {
                    "type": 1,
                    "string": "read"
                  },
                  {
                    "type": 1,
                    "string": "write"
                  },
                  {
                    "type": 1,
                    "string": "execute"
                  }
                ],
                "mapValue": [
                  {
                    "type": 1,
                    "string": "ym"
                  },
                  {
                    "type": 8,
                    "boolean": true
                  },
                  {
                    "type": 8,
                    "boolean": true
                  },
                  {
                    "type": 8,
                    "boolean": true
                  }
                ]
              },
              {
                "type": 3,
                "mapKey": [
                  {
                    "type": 1,
                    "string": "key"
                  },
                  {
                    "type": 1,
                    "string": "read"
                  },
                  {
                    "type": 1,
                    "string": "write"
                  },
                  {
                    "type": 1,
                    "string": "execute"
                  }
                ],
                "mapValue": [
                  {
                    "type": 1,
                    "string": "ym.a"
                  },
                  {
                    "type": 8,
                    "boolean": true
                  },
                  {
                    "type": 8,
                    "boolean": true
                  },
                  {
                    "type": 8,
                    "boolean": false
                  }
                ]
              },
              {
                "type": 3,
                "mapKey": [
                  {
                    "type": 1,
                    "string": "key"
                  },
                  {
                    "type": 1,
                    "string": "read"
                  },
                  {
                    "type": 1,
                    "string": "write"
                  },
                  {
                    "type": 1,
                    "string": "execute"
                  }
                ],
                "mapValue": [
                  {
                    "type": 1,
                    "string": "ym.l"
                  },
                  {
                    "type": 8,
                    "boolean": true
                  },
                  {
                    "type": 8,
                    "boolean": true
                  },
                  {
                    "type": 8,
                    "boolean": false
                  }
                ]
              }
            ]
          }
        }
      ]
    },
    "clientAnnotations": {
      "isEditedByUser": true
    },
    "isRequired": true
  },
  {
    "instance": {
      "key": {
        "publicId": "inject_script",
        "versionId": "1"
      },
      "param": [
        {
          "key": "urls",
          "value": {
            "type": 2,
            "listItem": [
              {
                "type": 1,
                "string": "https://mc.yandex.ru/metrika/tag.js"
              },
              {
                "type": 1,
                "string": "https://cdn.jsdelivr.net/npm/yandex-metrica-watch/tag.js"
              }
            ]
          }
        }
      ]
    },
    "clientAnnotations": {
      "isEditedByUser": true
    },
    "isRequired": true
  }
]


___SANDBOXED_JS_FOR_WEB_TEMPLATE___

const setInWindow = require('setInWindow');
const copyFromWindow = require('copyFromWindow');
const createArgumentsQueue = require('createArgumentsQueue');
const getTimestamp = require('getTimestamp');
const injectScript = require('injectScript');

const PMymCounterID = data.PMymCounterID;
const PMymWebvisor = data.PMymWebvisor;
const PMymTrackHash = data.PMymTrackHash;
const PMymEcommerce = data.PMymEcommerce;
const PMymDataLayer = data.PMymDataLayer;
const PMymAccurateTrackBounce = data.PMymAccurateTrackBounce;
const PMymTrackLinks = data.PMymTrackLinks;
const PMymClickmap = data.PMymClickmap;
const PMymUrl = data.PMymUrl;

const ym = createArgumentsQueue('ym', 'ym.a');
setInWindow('ym.l', getTimestamp(), false);

var dl = null;
if( PMymEcommerce === true) { dl = PMymDataLayer; }

ym(PMymCounterID, "init", {
	clickmap: PMymClickmap,
	trackLinks: PMymTrackLinks,
	accurateTrackBounce: PMymAccurateTrackBounce,
	webvisor: PMymWebvisor,
	trackHash: PMymTrackHash,
	ecommerce: dl
});

const url = PMymUrl;
injectScript(url, data.gtmOnSuccess, data.gtmOnFailure, url);


___NOTES___

Created on 29.05.2019, 01:18:03
